<?php
/*
+--------------------------------------------------------------------------
|   CubeCart 4
|   ========================================
|	CubeCart is a registered trade mark of Devellion Limited
|   Copyright Devellion Limited 2006. All rights reserved.
|   Devellion Limited,
|   5 Bridge Street,
|   Bishops Stortford,
|   HERTFORDSHIRE.
|   CM23 2JU
|   UNITED KINGDOM
|   http://www.devellion.com
|	UK Private Limited Company No. 5323904
|   ========================================
|   Web: http://www.cubecart.com
|   Email: info (at) cubecart (dot) com
|	License Type: CubeCart is NOT Open Source Software and Limitations Apply 
|   Licence Info: http://www.cubecart.com/v4-software-license
+--------------------------------------------------------------------------
|	error.inc.php
|   ========================================
|	Display error message from language file	
+--------------------------------------------------------------------------
*/

if (!defined('CC_INI_SET')) die("Access Denied");

$lang = getLang("includes".CC_DS."content".CC_DS."error.inc.php");
$error = new XTemplate ("content".CC_DS."error.tpl");

$error->assign("LANG_SORRY", sprintf($lang['error']['error'], sanitizeVar($_GET['code'])));

if (array_key_exists($_GET['code'], $lang['error'])) {
	$error->assign("LANG_DESC", $lang['error'][$_GET['code']]);
} else {
	$error->assign("LANG_DESC", $lang['error']['no_error_msg']);
}

$error->parse("error");
$page_content = $error->text("error");
?>